﻿//////////////////////////////////////////////
// Bc3Compressor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkImages
{
	class Image ;
	class ImageBase ;
}

/// Includes ---------------------------------

// nkImages
#include "../AlignmentDescriptor.h"

/// Class ------------------------------------

namespace nkImages
{
	class Bc3Compressor final
	{
		private :

			// Constructor, destructor
			Bc3Compressor () = delete ;
			~Bc3Compressor () = delete ;

		public :

			// Decompression
			static void decompressBlock (unsigned char* outData, unsigned char* block, unsigned int pixelByteSize, unsigned int rowByteSize) ;
			static Image decompressImage (const ImageBase& image, const AlignmentDescriptor& alignmentDescriptor = AlignmentDescriptor()) ;
	} ;
}